using System;

class Prog
{
    static void Main()
    {
        string s1 = Console.ReadLine();
        char c1 = s1[0];
        char c2 = s1[1];
        string[] s2 = Console.ReadLine().Split();
        int a1 = int.Parse(s2[0]);
        int a2 = int.Parse(s2[1]);
        if (a1 >= a2 + 2 || a2 >= a1 + 2)
            Console.WriteLine("nemoguce");
        else if (a1 > a2)
        {
            for (int i = 0; i < a2; i++)
            {
                Console.Write(c1);
                Console.Write(c2);
            }
            Console.Write(c1);
        }
        else if (a2 > a1)
        {
            for (int i = 0; i < a1; i++)
            {
                Console.Write(c2);
                Console.Write(c1);
            }
            Console.Write(c2);
        }
        else
        {
            for (int i = 0; i < a1; i++)
            {
                Console.Write(c1);
                Console.Write(c2);
            }
        }
    }
}